## MxSpinner MxSpinner — a processing indicator widget |

## Synopsis

    struct              MxSpinner;
    struct              MxSpinnerClass;
    ClutterActor *      mx_spinner_new                      (void);
    void                mx_spinner_set_animating            (MxSpinner *spinner,
                                                             gboolean animating);
    gboolean            mx_spinner_get_animating            (MxSpinner *spinner);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----ClutterActor
                   +----MxWidget
                         +----MxSpinner

## Implemented Interfaces

MxSpinner implements ClutterContainer, ClutterScriptable, ClutterAnimatable, AtkImplementorIface and MxStylable.

## Properties

      "animating"                gboolean              : Read / Write

## Signals

      "looped"                                         : Run Last

## Description

The MxSpinner is a widget to use to indicate that something is being processed, usually a task of indeterminate length.

## Details

### struct MxSpinner

    struct MxSpinner;

The contents of this structure are private and should only be accessed through the public API.

### struct MxSpinnerClass

    struct MxSpinnerClass {
      MxWidgetClass parent_class;

      /* signals */
      void (* looped) (MxSpinner *spinner);

      /* padding for future expansion */
      void (*_padding_0) (void);
      void (*_padding_1) (void);
      void (*_padding_2) (void);
      void (*_padding_3) (void);
    };

### mx_spinner_new ()

    ClutterActor *      mx_spinner_new                      (void);

Create a new MxSpinner widget.

Returns : | a newly allocated MxSpinner

Since 1.2

### mx_spinner_set_animating ()

    void                mx_spinner_set_animating            (MxSpinner *spinner,
                                                             gboolean animating);

Sets whether the spinner is animating. A spinner can be stopped if the task it represents has finished, or to save energy.

`spinner` : | A MxSpinner widget
`animating` : | `TRUE` to enable animation, `FALSE` to disable

Since 1.2

### mx_spinner_get_animating ()

    gboolean            mx_spinner_get_animating            (MxSpinner *spinner);

Determines whether the spinner is animating.

`spinner` : | A MxSpinner widget
Returns : | `TRUE` if the spinner is animating, `FALSE` otherwise

Since 1.2

## Property Details

### The `"animating"` property

      "animating"                gboolean              : Read / Write

Whether the spinner is animating.

Default value: TRUE

## Signal Details

### The `"looped"` signal

    void                user_function                      (MxSpinner *spinner,
                                                            gpointer   user_data)      : Run Last

Emitted after the animation has displayed the final frame.

`spinner` : | the MxSpinner that received the signal
`user_data` : | user data set when the signal handler was connected.

Since 1.2